Criar transação
Crie uma transação Pix, voucher ou cartão.
curl --request POST \
--url https://api.pagou.ai/v2/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 50000000,
"method": "pix",
"buyer": {
"id": 0,
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"document": {
"number": "<string>"
},
"address": {
"street": "<string>",
"city": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "BR"
}
},
"products": [
{
"name": "<string>",
"price": 50000000,
"quantity": 1,
"tangible": false,
"sku": "<string>"
}
],
"external_ref": "<string>",
"currency": "BRL",
"installments": 6,
"interest_rate": 50,
"token": "<string>",
"notify_url": "<string>",
"metadata": "<string>",
"traceable": false,
"ip_address": "127.0.0.1"
}
'import requests
url = "https://api.pagou.ai/v2/transactions"
payload = {
"amount": 50000000,
"method": "pix",
"buyer": {
"id": 0,
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"document": { "number": "<string>" },
"address": {
"street": "<string>",
"city": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "BR"
}
},
"products": [
{
"name": "<string>",
"price": 50000000,
"quantity": 1,
"tangible": False,
"sku": "<string>"
}
],
"external_ref": "<string>",
"currency": "BRL",
"installments": 6,
"interest_rate": 50,
"token": "<string>",
"notify_url": "<string>",
"metadata": "<string>",
"traceable": False,
"ip_address": "127.0.0.1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 50000000,
method: 'pix',
buyer: {
id: 0,
name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
birth_date: '<string>',
document: {number: '<string>'},
address: {
street: '<string>',
city: '<string>',
number: '<string>',
complement: '<string>',
neighborhood: '<string>',
state: '<string>',
zipCode: '<string>',
country: 'BR'
}
},
products: [
{
name: '<string>',
price: 50000000,
quantity: 1,
tangible: false,
sku: '<string>'
}
],
external_ref: '<string>',
currency: 'BRL',
installments: 6,
interest_rate: 50,
token: '<string>',
notify_url: '<string>',
metadata: '<string>',
traceable: false,
ip_address: '127.0.0.1'
})
};
fetch('https://api.pagou.ai/v2/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"requestId": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 50000050,
"currency": "BRL",
"buyer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"document": {
"number": "<string>"
},
"address": {
"street": "<string>",
"city": "<string>",
"country": "BR",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
},
"fee": {
"net_amount": 50000000,
"estimated_fee": 50000000
},
"informations": [
{
"key": "<string>",
"value": "<string>"
}
],
"paid_amount": 50000000,
"method": "pix",
"refunded_amount": 50000000,
"products": [
{
"name": "<string>",
"price": 50000000,
"quantity": 500000
}
],
"traceable": true,
"splits": [
{
"recipient_id": 0,
"amount": 50000000,
"charge_processing_fee": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"voucher": {
"barcode": "<string>",
"digitable_line": "<string>",
"url": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"receipt_url": "<string>"
},
"external_ref": "<string>",
"installments": 6,
"paid_at": "2023-11-07T05:31:56Z",
"pix": {
"qr_code": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"end_to_end_id": "<string>",
"receipt_url": "<string>"
},
"metadata": {},
"ip_address": "127.0.0.1",
"next_action": {
"type": "three_ds_challenge",
"challenge_session_id": "<string>",
"client_secret": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": "DUPLICATE_EXTERNAL_REF",
"message": "A transaction with this external reference already exists",
"status": 409
}{
"error": "<string>",
"message": "<string>",
"status": 422
}{
"error": "<string>",
"message": "<string>",
"status": 500
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Pagamentos por voucher
Usemethod: "voucher" para instruções locais de pagamento como Boleto, SPEI, Mercado Pago, Webpay, CODI e PSE. Não envie nomes específicos de provedor para este endpoint.
Para o fluxo completo de voucher, países suportados, tipos de documento e campos de resposta, veja Receber pagamentos por voucher.Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
0 < x <= 100000000Payment method to be used for the transaction.
pix, voucher, credit_card Buyer information for the transaction.
Show child attributes
Show child attributes
List of products associated with the transaction.
1 - 100 elementsShow child attributes
Show child attributes
Optional idempotency key or external reference from your system.
Transaction currency. Defaults to BRL.
ARS, BOB, BRL, CLP, COP, CRC, GTQ, MXN, PYG, PEN, USD, UYU Number of installments for the transaction when applicable.
1 <= x <= 12Installment interest rate (%) embedded in the charged amount, when applicable.
0 <= x <= 100Optional payment token for card transactions. Use 'pgct_' for single-use or 'pgpm_' for reusable (upsell) tokens.
^(pgct_|pgpm_)Optional HTTPS URL to receive webhooks for this transaction.
2048Optional metadata string for your own reference.
Whether the transaction should be traceable for fraud or risk analysis.
IPv4 or IPv6 address of the buyer or request origin.
^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])$
